Delete Price
curl --request DELETE \
--url https://api.example.com/merchant/price/deleteimport requests
url = "https://api.example.com/merchant/price/delete"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/merchant/price/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 404,
"code": "PRICE_NOT_FOUND",
"message": "Price not found"
},
"data": null
}
Prices
Delete Price
Delete a price
DELETE
/
merchant
/
price
/
delete
Delete Price
Delete a price from a product.
string
required
Price ID to delete
boolean
Indicates if the request was successful
object
Deletion result
Example Request
curl -X DELETE https://api.transaction.gg/merchant/price/delete \
-H "Authorization: Bearer jwt_token" \
-H "Content-Type: application/json" \
-d '{
"priceId": "price_i62wKFQ8sGnLxQ5G"
}'
Example Response
{
"success": true,
"data": {
"deleted": true,
"priceId": "price_i62wKFQ8sGnLxQ5G"
}
}
Error Responses
{
"success": false,
"error": {
"status": 404,
"code": "PRICE_NOT_FOUND",
"message": "Price not found"
},
"data": null
}
⌘I